Agda-2.5.2: A dependently typed functional programming language and proof assistant

Safe Haskell | None
Language | Haskell2010

Agda.Compiler.Common

Synopsis

- data IsMain
  - = IsMain
  - | NotMain
- doCompile :: IsMain -> Interface -> (IsMain -> Interface -> TCM ()) -> TCM ()
- setInterface :: Interface -> TCM ()
- curIF :: TCM Interface
- curSig :: TCM Signature
- curMName :: TCM ModuleName
- curDefs :: TCM Definitions
- sortDefs :: Definitions -> [(QName, Definition)]
- sigMName :: Signature -> ModuleName
- compileDir :: TCM FilePath
- repl :: [String] -> String -> String
- conArityAndPars :: QName -> TCM (Nat, Nat)
- inCompilerEnv :: Interface -> TCM a -> TCM a
- topLevelModuleName :: ModuleName -> TCM ModuleName

# Documentation

data IsMain #

Constructors

IsMain |
NotMain |

Instances

Eq IsMain # |
Methods (==) :: IsMain -> IsMain -> Bool # (/=) :: IsMain -> IsMain -> Bool #
Show IsMain # |
Methods showsPrec :: Int -> IsMain -> ShowS # show :: IsMain -> String # showList :: [IsMain] -> ShowS #

doCompile :: IsMain -> Interface -> (IsMain -> Interface -> TCM ()) -> TCM () #

setInterface :: Interface -> TCM () #

curIF :: TCM Interface #

curSig :: TCM Signature #

curMName :: TCM ModuleName #

curDefs :: TCM Definitions #

sortDefs :: Definitions -> [(QName, Definition)] #

sigMName :: Signature -> ModuleName #

compileDir :: TCM FilePath #

repl :: [String] -> String -> String #

conArityAndPars :: QName -> TCM (Nat, Nat) #

Copy pasted from MAlonzo.... Move somewhere else!

inCompilerEnv :: Interface -> TCM a -> TCM a #

Sets up the compilation environment.

topLevelModuleName :: ModuleName -> TCM ModuleName #